<?
	need('date sql');
	
	$conn = @mysql_pconnect (sqlHost, sqlUser, sqlPass);
	if ($conn) {
		$query = 'SELECT n_date, n_user, n_news FROM news_main' .
				' ORDER BY n_date DESC';
		$result = @mysql_db_query (sqlDB, $query, $conn);
		if ($result) {
			$numRows = @mysql_num_rows ($result);
			if ($numRows) {
				if($numRows > 5) $numRows = 5;
				for ($i = 0 ; $i < $numRows ; $i++) {
					list ($n_date, $n_user, $n_news) = mysql_fetch_row ($result);
					newsItem (dateFromSQLDateTime ($n_date), $n_user, StripSlashes($n_news));
				}
			} else {
				newsItem ('now', 'Web Server', '<P>No current news!');
			}
		} else {
			newsItem ('now', 'Web Server', '<P>No news in database!');
		}
		mysql_close ($conn);
	} else {
		newsItem ('Now', 'Web Server', '<P>Error: Could not connect to SQL server to fetch news. Please notify the server administrator.');
	}
?>
